Subject: Re: [PATCH v2 24/24] pack-bitmap-write: better reuse bitmaps

From: Taylor Blau <[email-masked]>
Date: Wed, 2 Dec 2020 13:25:05 -0500

On Wed, Dec 02, 2020 at 01:22:27PM -0500, Derrick Stolee wrote:
> >> We could even skip the whole maximal stuff (for commits with existing
> >> bitmaps) and replace "c_ent->maximal = 1;" above with "add to list that
> >> we're going to append to bb->commits at the very end". That has the
> >> advantage of not having to redefine "maximal".
> >
> > Hmm. I'd trust Stolee's opinion over mine here, so I'll be curious what
> > he has to say.
>
> It would be equivalent to add it to the list and then continuing the
> loop instead of piggy-backing on the if (c_ent->maximal) block, followed
> by a trivial loop over the (nullified) parents.

Jonathan: does that seem OK to you to leave it as-is? If you don't have
strong objections, I'll go ahead with sending v3 a little later today.

Thanks,
Taylor